Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getSnmp({
organizationId: "string",
});
export const merakiOrganizationsSnmpExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_snmp(organization_id="string")
pulumi.export("merakiOrganizationsSnmpExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.LookupSnmp(ctx, &organizations.LookupSnmpArgs{
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsSnmpExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetSnmp.Invoke(new()
{
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsSnmpExample"] = example.Apply(getSnmpResult => getSnmpResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetSnmpArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getSnmp(GetSnmpArgs.builder()
.organizationId("string")
.build());
ctx.export("merakiOrganizationsSnmpExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getSnmp
arguments:
organizationId: string
outputs:
merakiOrganizationsSnmpExample: ${example.item}
Using getSnmp
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSnmp(args: GetSnmpArgs, opts?: InvokeOptions): Promise<GetSnmpResult>
function getSnmpOutput(args: GetSnmpOutputArgs, opts?: InvokeOptions): Output<GetSnmpResult>def get_snmp(organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSnmpResult
def get_snmp_output(organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSnmpResult]func LookupSnmp(ctx *Context, args *LookupSnmpArgs, opts ...InvokeOption) (*LookupSnmpResult, error)
func LookupSnmpOutput(ctx *Context, args *LookupSnmpOutputArgs, opts ...InvokeOption) LookupSnmpResultOutput> Note: This function is named LookupSnmp in the Go SDK.
public static class GetSnmp
{
public static Task<GetSnmpResult> InvokeAsync(GetSnmpArgs args, InvokeOptions? opts = null)
public static Output<GetSnmpResult> Invoke(GetSnmpInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSnmpResult> getSnmp(GetSnmpArgs args, InvokeOptions options)
public static Output<GetSnmpResult> getSnmp(GetSnmpArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getSnmp:getSnmp
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Organization
Id string - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
- organization
Id string - organizationId path parameter. Organization ID
- organization_
id str - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
getSnmp Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Snmp Item - Organization
Id string - organizationId path parameter. Organization ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Snmp Item - Organization
Id string - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Snmp Item - organization
Id String - organizationId path parameter. Organization ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Snmp Item - organization
Id string - organizationId path parameter. Organization ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Snmp Item - organization_
id str - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetSnmpItem
- Hostname string
- The hostname of the SNMP server.
- Peer
Ips List<string> - The list of IPv4 addresses that are allowed to access the SNMP server.
- Port int
- The port of the SNMP server.
- V2Community
String string - The community string for SNMP version 2c, if enabled.
- V2c
Enabled bool - Boolean indicating whether SNMP version 2c is enabled for the organization.
- V3Auth
Mode string - The SNMP version 3 authentication mode. Can be either 'MD5' or 'SHA'.
- V3Enabled bool
- Boolean indicating whether SNMP version 3 is enabled for the organization.
- V3Priv
Mode string - The SNMP version 3 privacy mode. Can be either 'DES' or 'AES128'.
- V3User string
- The user for SNMP version 3, if enabled.
- Hostname string
- The hostname of the SNMP server.
- Peer
Ips []string - The list of IPv4 addresses that are allowed to access the SNMP server.
- Port int
- The port of the SNMP server.
- V2Community
String string - The community string for SNMP version 2c, if enabled.
- V2c
Enabled bool - Boolean indicating whether SNMP version 2c is enabled for the organization.
- V3Auth
Mode string - The SNMP version 3 authentication mode. Can be either 'MD5' or 'SHA'.
- V3Enabled bool
- Boolean indicating whether SNMP version 3 is enabled for the organization.
- V3Priv
Mode string - The SNMP version 3 privacy mode. Can be either 'DES' or 'AES128'.
- V3User string
- The user for SNMP version 3, if enabled.
- hostname String
- The hostname of the SNMP server.
- peer
Ips List<String> - The list of IPv4 addresses that are allowed to access the SNMP server.
- port Integer
- The port of the SNMP server.
- v2Community
String String - The community string for SNMP version 2c, if enabled.
- v2c
Enabled Boolean - Boolean indicating whether SNMP version 2c is enabled for the organization.
- v3Auth
Mode String - The SNMP version 3 authentication mode. Can be either 'MD5' or 'SHA'.
- v3Enabled Boolean
- Boolean indicating whether SNMP version 3 is enabled for the organization.
- v3Priv
Mode String - The SNMP version 3 privacy mode. Can be either 'DES' or 'AES128'.
- v3User String
- The user for SNMP version 3, if enabled.
- hostname string
- The hostname of the SNMP server.
- peer
Ips string[] - The list of IPv4 addresses that are allowed to access the SNMP server.
- port number
- The port of the SNMP server.
- v2Community
String string - The community string for SNMP version 2c, if enabled.
- v2c
Enabled boolean - Boolean indicating whether SNMP version 2c is enabled for the organization.
- v3Auth
Mode string - The SNMP version 3 authentication mode. Can be either 'MD5' or 'SHA'.
- v3Enabled boolean
- Boolean indicating whether SNMP version 3 is enabled for the organization.
- v3Priv
Mode string - The SNMP version 3 privacy mode. Can be either 'DES' or 'AES128'.
- v3User string
- The user for SNMP version 3, if enabled.
- hostname str
- The hostname of the SNMP server.
- peer_
ips Sequence[str] - The list of IPv4 addresses that are allowed to access the SNMP server.
- port int
- The port of the SNMP server.
- v2_
community_ strstring - The community string for SNMP version 2c, if enabled.
- v2c_
enabled bool - Boolean indicating whether SNMP version 2c is enabled for the organization.
- v3_
auth_ strmode - The SNMP version 3 authentication mode. Can be either 'MD5' or 'SHA'.
- v3_
enabled bool - Boolean indicating whether SNMP version 3 is enabled for the organization.
- v3_
priv_ strmode - The SNMP version 3 privacy mode. Can be either 'DES' or 'AES128'.
- v3_
user str - The user for SNMP version 3, if enabled.
- hostname String
- The hostname of the SNMP server.
- peer
Ips List<String> - The list of IPv4 addresses that are allowed to access the SNMP server.
- port Number
- The port of the SNMP server.
- v2Community
String String - The community string for SNMP version 2c, if enabled.
- v2c
Enabled Boolean - Boolean indicating whether SNMP version 2c is enabled for the organization.
- v3Auth
Mode String - The SNMP version 3 authentication mode. Can be either 'MD5' or 'SHA'.
- v3Enabled Boolean
- Boolean indicating whether SNMP version 3 is enabled for the organization.
- v3Priv
Mode String - The SNMP version 3 privacy mode. Can be either 'DES' or 'AES128'.
- v3User String
- The user for SNMP version 3, if enabled.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
